package com.mortals.xhx.module.access.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.access.model.AccessEntity;
/**
* 区域接入查询对象
*
* @author zxfei
* @date 2024-07-02
*/
public class AccessQuery extends AccessEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 区域名称 */
    private List<String> areaNameList;

    /** 区域名称排除列表 */
    private List <String> areaNameNotList;
    /** 区域编码 */
    private List<String> areaCodeList;

    /** 区域编码排除列表 */
    private List <String> areaCodeNotList;
    /** 背景图片地址 */
    private List<String> bigPathList;

    /** 背景图片地址排除列表 */
    private List <String> bigPathNotList;
    /** 标签 */
    private List<String> tagList;

    /** 标签排除列表 */
    private List <String> tagNotList;
    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 排序排除列表 */
    private List <Integer> sortNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 区域Id */
    private List<String> areaIdList;

    /** 区域Id排除列表 */
    private List <String> areaIdNotList;
    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编码 */
    private List<String> siteCodeList;

    /** 站点编码排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 图标 */
    private List<String> iconList;

    /** 图标排除列表 */
    private List <String> iconNotList;
    /** 维度 */
    private List<String> latitudeList;

    /** 维度排除列表 */
    private List <String> latitudeNotList;
    /** 经度 */
    private List<String> longitudeList;

    /** 经度排除列表 */
    private List <String> longitudeNotList;
    /** 接入类型 (area.区域,site.站点) */
    private List<String> typeList;

    /** 接入类型 (area.区域,site.站点)排除列表 */
    private List <String> typeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AccessQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AccessQuery> andConditionList;

    public AccessQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 区域名称
    * @return areaNameList
    */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
    * 设置 区域名称
    * @param areaNameList
    */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }

    /**
    * 获取 区域名称
    * @return areaNameNotList
    */
    public List<String> getAreaNameNotList(){
        return this.areaNameNotList;
    }

    /**
    * 设置 区域名称
    * @param areaNameNotList
    */
    public void setAreaNameNotList(List<String> areaNameNotList){
        this.areaNameNotList = areaNameNotList;
    }

    /**
    * 获取 区域编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }

    /**
    * 获取 区域编码
    * @return areaCodeNotList
    */
    public List<String> getAreaCodeNotList(){
        return this.areaCodeNotList;
    }

    /**
    * 设置 区域编码
    * @param areaCodeNotList
    */
    public void setAreaCodeNotList(List<String> areaCodeNotList){
        this.areaCodeNotList = areaCodeNotList;
    }

    /**
    * 获取 背景图片地址
    * @return bigPathList
    */
    public List<String> getBigPathList(){
        return this.bigPathList;
    }

    /**
    * 设置 背景图片地址
    * @param bigPathList
    */
    public void setBigPathList(List<String> bigPathList){
        this.bigPathList = bigPathList;
    }

    /**
    * 获取 背景图片地址
    * @return bigPathNotList
    */
    public List<String> getBigPathNotList(){
        return this.bigPathNotList;
    }

    /**
    * 设置 背景图片地址
    * @param bigPathNotList
    */
    public void setBigPathNotList(List<String> bigPathNotList){
        this.bigPathNotList = bigPathNotList;
    }

    /**
    * 获取 标签
    * @return tagList
    */
    public List<String> getTagList(){
        return this.tagList;
    }

    /**
    * 设置 标签
    * @param tagList
    */
    public void setTagList(List<String> tagList){
        this.tagList = tagList;
    }

    /**
    * 获取 标签
    * @return tagNotList
    */
    public List<String> getTagNotList(){
        return this.tagNotList;
    }

    /**
    * 设置 标签
    * @param tagNotList
    */
    public void setTagNotList(List<String> tagNotList){
        this.tagNotList = tagNotList;
    }

    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 排序
    * @return sortNotList
    */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
    * 设置 排序
    * @param sortNotList
    */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 区域Id
    * @return areaIdList
    */
    public List<String> getAreaIdList(){
        return this.areaIdList;
    }

    /**
    * 设置 区域Id
    * @param areaIdList
    */
    public void setAreaIdList(List<String> areaIdList){
        this.areaIdList = areaIdList;
    }

    /**
    * 获取 区域Id
    * @return areaIdNotList
    */
    public List<String> getAreaIdNotList(){
        return this.areaIdNotList;
    }

    /**
    * 设置 区域Id
    * @param areaIdNotList
    */
    public void setAreaIdNotList(List<String> areaIdNotList){
        this.areaIdNotList = areaIdNotList;
    }

    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点编码
    * @return siteCodeList
    */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
    * 设置 站点编码
    * @param siteCodeList
    */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
    * 获取 站点编码
    * @return siteCodeNotList
    */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
    * 设置 站点编码
    * @param siteCodeNotList
    */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 图标
    * @return iconList
    */
    public List<String> getIconList(){
        return this.iconList;
    }

    /**
    * 设置 图标
    * @param iconList
    */
    public void setIconList(List<String> iconList){
        this.iconList = iconList;
    }

    /**
    * 获取 图标
    * @return iconNotList
    */
    public List<String> getIconNotList(){
        return this.iconNotList;
    }

    /**
    * 设置 图标
    * @param iconNotList
    */
    public void setIconNotList(List<String> iconNotList){
        this.iconNotList = iconNotList;
    }

    /**
    * 获取 维度
    * @return latitudeList
    */
    public List<String> getLatitudeList(){
        return this.latitudeList;
    }

    /**
    * 设置 维度
    * @param latitudeList
    */
    public void setLatitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
    }

    /**
    * 获取 维度
    * @return latitudeNotList
    */
    public List<String> getLatitudeNotList(){
        return this.latitudeNotList;
    }

    /**
    * 设置 维度
    * @param latitudeNotList
    */
    public void setLatitudeNotList(List<String> latitudeNotList){
        this.latitudeNotList = latitudeNotList;
    }

    /**
    * 获取 经度
    * @return longitudeList
    */
    public List<String> getLongitudeList(){
        return this.longitudeList;
    }

    /**
    * 设置 经度
    * @param longitudeList
    */
    public void setLongitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
    }

    /**
    * 获取 经度
    * @return longitudeNotList
    */
    public List<String> getLongitudeNotList(){
        return this.longitudeNotList;
    }

    /**
    * 设置 经度
    * @param longitudeNotList
    */
    public void setLongitudeNotList(List<String> longitudeNotList){
        this.longitudeNotList = longitudeNotList;
    }

    /**
    * 获取 接入类型 (area.区域,site.站点)
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 接入类型 (area.区域,site.站点)
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 接入类型 (area.区域,site.站点)
    * @return typeNotList
    */
    public List<String> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 接入类型 (area.区域,site.站点)
    * @param typeNotList
    */
    public void setTypeNotList(List<String> typeNotList){
        this.typeNotList = typeNotList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AccessQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AccessQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AccessQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AccessQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AccessQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AccessQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 区域名称
    * @param areaName
    */
    public AccessQuery areaName(String areaName){
        setAreaName(areaName);
		return this;
    }

    /**
    * 设置 区域名称
    * @param areaNameList
    */
    public AccessQuery areaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
		return this;
    }


	/**
    * 设置 区域编码
    * @param areaCode
    */
    public AccessQuery areaCode(String areaCode){
        setAreaCode(areaCode);
		return this;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public AccessQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
		return this;
    }


	/**
    * 设置 背景图片地址
    * @param bigPath
    */
    public AccessQuery bigPath(String bigPath){
        setBigPath(bigPath);
		return this;
    }

    /**
    * 设置 背景图片地址
    * @param bigPathList
    */
    public AccessQuery bigPathList(List<String> bigPathList){
        this.bigPathList = bigPathList;
		return this;
    }


	/**
    * 设置 标签
    * @param tag
    */
    public AccessQuery tag(String tag){
        setTag(tag);
		return this;
    }

    /**
    * 设置 标签
    * @param tagList
    */
    public AccessQuery tagList(List<String> tagList){
        this.tagList = tagList;
		return this;
    }

    /**
    * 设置  排序
    * @param sort
    */
    public AccessQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序
    * @param sortStart
    */
    public AccessQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public AccessQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public AccessQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public AccessQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

        /**
        * 设置 排序
        * @param sortNotList
        */
        public AccessQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AccessQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AccessQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AccessQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AccessQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AccessQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AccessQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AccessQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AccessQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }




	/**
    * 设置 区域Id
    * @param areaId
    */
    public AccessQuery areaId(String areaId){
        setAreaId(areaId);
		return this;
    }

    /**
    * 设置 区域Id
    * @param areaIdList
    */
    public AccessQuery areaIdList(List<String> areaIdList){
        this.areaIdList = areaIdList;
		return this;
    }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public AccessQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public AccessQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public AccessQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public AccessQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public AccessQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public AccessQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点编码
    * @param siteCode
    */
    public AccessQuery siteCode(String siteCode){
        setSiteCode(siteCode);
		return this;
    }

    /**
    * 设置 站点编码
    * @param siteCodeList
    */
    public AccessQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
		return this;
    }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public AccessQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public AccessQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }


	/**
    * 设置 图标
    * @param icon
    */
    public AccessQuery icon(String icon){
        setIcon(icon);
		return this;
    }

    /**
    * 设置 图标
    * @param iconList
    */
    public AccessQuery iconList(List<String> iconList){
        this.iconList = iconList;
		return this;
    }


	/**
    * 设置 维度
    * @param latitude
    */
    public AccessQuery latitude(String latitude){
        setLatitude(latitude);
		return this;
    }

    /**
    * 设置 维度
    * @param latitudeList
    */
    public AccessQuery latitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
		return this;
    }


	/**
    * 设置 经度
    * @param longitude
    */
    public AccessQuery longitude(String longitude){
        setLongitude(longitude);
		return this;
    }

    /**
    * 设置 经度
    * @param longitudeList
    */
    public AccessQuery longitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
		return this;
    }


	/**
    * 设置 接入类型 (area.区域,site.站点)
    * @param type
    */
    public AccessQuery type(String type){
        setType(type);
		return this;
    }

    /**
    * 设置 接入类型 (area.区域,site.站点)
    * @param typeList
    */
    public AccessQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AccessQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AccessQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AccessQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AccessQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}